gi-pango-1.0.30: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Pango.Structs.AttrString

Contents

- Exported types
- Methods
- Properties
  - attr
  - value

Description

The `PangoAttrString` structure is used to represent attributes with a string value.

Synopsis

- newtype AttrString = AttrString (ManagedPtr AttrString)
- newZeroAttrString :: MonadIO m => m AttrString
- getAttrStringAttr :: MonadIO m => AttrString -> m Attribute
- clearAttrStringValue :: MonadIO m => AttrString -> m ()
- getAttrStringValue :: MonadIO m => AttrString -> m (Maybe Text)
- setAttrStringValue :: MonadIO m => AttrString -> CString -> m ()

# Exported types

newtype AttrString Source #

Memory-managed wrapper type.

Constructors

AttrString (ManagedPtr AttrString) |

#### Instances

Instances details

Eq AttrString Source # |
Instance details Defined in GI.Pango.Structs.AttrString Methods (==) :: AttrString -> AttrString -> Bool Source # (/=) :: AttrString -> AttrString -> Bool Source #
BoxedPtr AttrString Source # |
Instance details Defined in GI.Pango.Structs.AttrString Methods boxedPtrCopy :: AttrString -> IO AttrString Source # boxedPtrFree :: AttrString -> IO () Source #
CallocPtr AttrString Source # |
Instance details Defined in GI.Pango.Structs.AttrString Methods boxedPtrCalloc :: IO (Ptr AttrString) Source #
ManagedPtrNewtype AttrString Source # |
Instance details Defined in GI.Pango.Structs.AttrString Methods toManagedPtr :: AttrString -> ManagedPtr AttrString Source #
tag ~ 'AttrSet => Constructible AttrString tag Source # |
Instance details Defined in GI.Pango.Structs.AttrString Methods new :: MonadIO m => (ManagedPtr AttrString -> AttrString) -> [AttrOp AttrString tag] -> m AttrString Source #

newZeroAttrString :: MonadIO m => m AttrString Source #

Construct a `AttrString` struct initialized to zero.

# Methods

# Properties

## attr

the common portion of the attribute

getAttrStringAttr :: MonadIO m => AttrString -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrString #attr

## value

the string which is the value of the attribute

clearAttrStringValue :: MonadIO m => AttrString -> m () Source #

Set the value of the “`value`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #value

getAttrStringValue :: MonadIO m => AttrString -> m (Maybe Text) Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get attrString #value

setAttrStringValue :: MonadIO m => AttrString -> CString -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set attrString [ #value := value ]